<?php
/*
		[FuShow.cn] (C) 2013-2014 HXWY Inc.
		FuShow Friend V3.0				Id: magic_frame.php
		Email <service@fushow.cn>		http://fushow.cn/
*/

if(!defined('IN_FUSHOW')) {
	exit('Access Denied');
}

$idtype = 'picid';
magic_check_idtype($id, $idtype);

//相框
if(submitcheck("usesubmit")) {

	$_POST['frame'] = intval($_POST['frame']);
	updatetable('pic', array('magicframe'=>$_POST['frame']), array('picid'=>$id, 'uid'=>$_SGLOBAL['supe_uid']));

	magic_use($mid, array('id'=>$id, 'idtype'=>$idtype), true);
	showmessage('magicuse_success', $_POST['refer'], 0);
}

?>